|  | Home · All Classes · All Functions · Overviews

# Qt 3 Support Members for QSpinBox

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QSpinBox class reference

## Public Functions

| QSpinBox ( QWidget * parent, const char * name )
| QSpinBox ( int minimum, int maximum, int step, QWidget * parent, const char * name = 0 )
int | maxValue () const
int | minValue () const
void | setLineStep ( int step )
void | setMaxValue ( int value )
void | setMinValue ( int value )

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Member Function Documentation

### QSpinBox::QSpinBox ( QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QSpinBox::QSpinBox ( int minimum, int maximum, int step, QWidget * parent, const char * name = 0 )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### int QSpinBox::maxValue () const

Use maximum() instead.

See also setMaxValue().

### int QSpinBox::minValue () const

Use minimum() instead.

See also setMinValue().

### void QSpinBox::setLineStep ( int step )

Use setSingleStep() instead.

### void QSpinBox::setMaxValue ( int value )

Use setMaximum() instead.

See also maxValue().

### void QSpinBox::setMinValue ( int value )

Use setMinimum() instead.

See also minValue().